Subject: Re: New zonefs file system

From: Stephen Rothwell <[email-masked]>
Date: Thu, 16 Jan 2020 11:44:41 +1100

Hi Damien,

On Wed, 15 Jan 2020 23:21:49 +0000 Damien Le Moal <[email-masked]> wrote:
>
> Would it be possible to have zonefs being picked-up for inclusion with
> linux-next ? This is per Linus instructions as a condition for getting
> zonefs initial pull request accepted. The code is now in good shape and
> reviewed by several people.
> 
> The tree is here:
> 
> git://git.kernel.org/pub/scm/linux/kernel/git/dlemoal/zonefs.git
> 
> I prepared a for-next branch based off rc5.
> 
> Please let me know if there are additional things I need to do for
> getting zonefs into linux-next, e.g. tags ?

I will add it from today.  It all looks good to me.

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

-- 
Cheers,
Stephen Rothwell 
[email-masked]